--- 07_xwindow.txt	2014-01-26 21:32:19.031513070 +0100
+++ 07_xwindow_proposal.txt	2014-02-04 21:21:30.394385651 +0100
@@ -15,8 +15,8 @@
 (meta)package               popcon        size         description
 ------------------------------------------------------------------------------------------------------------------------------------------
 `xorg`                      @-@popcon1@-@ @-@psize1@-@ X libraries, an X server, a set of fonts, and a group of basic X clients and utilities (metapackage)
-`xserver-xorg`              @-@popcon1@-@ @-@psize1@-@ full suits of the X server and its configuration
-`xbase-clients`             @-@popcon1@-@ @-@psize1@-@ miscellaneous assortment of X clients
+`xserver-xorg`              @-@popcon1@-@ @-@psize1@-@ full suite of the X server and its configuration
+`xbase-clients`             @-@popcon1@-@ @-@psize1@-@ miscellaneous assortment of X clients (metapackage)
 `x11-common`                @-@popcon1@-@ @-@psize1@-@ filesystem infrastructure for the X Window System
 `xorg-docs`                 @-@popcon1@-@ @-@psize1@-@ miscellaneous documentation for the X.Org software suite
 `menu`                      @-@popcon1@-@ @-@psize1@-@ generate the Debian menu for all menu-aware applications
@@ -30,7 +30,7 @@
 `fluxbox`                   @-@popcon1@-@ @-@psize1@-@ http://en.wikipedia.org/wiki/Fluxbox[Fluxbox]: package for highly configurable and low resource http://en.wikipedia.org/wiki/X_window_manager[X window manager]
 ------------------------------------------------------------------------------------------------------------------------------------------
 
-For the basics of X, refer to `X`(7), http://www.tldp.org/HOWTO/XWindow-User-HOWTO.html[the LDP XWindow-User-HOWTO].
+For the basics of X, refer to `X`(7) and http://www.tldp.org/HOWTO/XWindow-User-HOWTO.html[the LDP XWindow-User-HOWTO].
 
 === Setting up desktop environment
 
@@ -54,7 +54,7 @@
 
 ==== Debian menu from Freedesktop.org menu
 
-In order to access to the traditional Debian menu from the http://www.freedesktop.org/wiki/Specifications/menu-spec/[Freedesktop.org menu] compliant window manager environment such as GNOME and KDE, you must install the `menu-xdg` package.
+In order to access the traditional Debian menu from the http://www.freedesktop.org/wiki/Specifications/menu-spec/[Freedesktop.org menu] compliant window manager environment such as GNOME and KDE, you must install the `menu-xdg` package.
 
 === The server/client relationship
 
@@ -67,8 +67,13 @@
 -------------------------------------------------------------------------------------------------------------
 **X server**           a program run on a **local host** connected to the user@@@sq@@@s display and input devices.
 **X client**           a program run on a **remote host** that processes data and talks to the X server.
-**application server** a program run on a **remote host** that processes data and talks to the clients.
+**application server** a program run on a **remote host** that processes data and talks to the application clients.
 **application client** a program run on a **local host** connected to the user@@@sq@@@s display and input devices.
+### HW: To make sure, that the third line is understood correctly, I would add the
+### HW: "application" there. Otherwise one might understand it as: "the application server 
+### HW: talks to the X client" {which I think was not meant here, right?} because the 
+### HW: X client is mentioned in the line before (line 2) and when you read it from the 
+### HW: top to the bottom ...
 -------------------------------------------------------------------------------------------------------------
 
 Modern X servers have http://en.wikipedia.org/wiki/MIT-SHM[the MIT Shared Memory Extension] and communicate with their local X clients using the local shared memory.  This bypasses the network transparent Xlib interprocess communication channel and gains performance for large images.
@@ -110,10 +115,10 @@
 `xbase-clients`  @-@popcon1@-@ @-@psize1@-@ unchecked no         `xhost` command             deprecated
 `xbase-clients`  @-@popcon1@-@ @-@psize1@-@ checked   no         `xauth` command             local connection via pipe
 `openssh-client` @-@popcon1@-@ @-@psize1@-@ checked   yes        `ssh -X` command            remote network connection
-`gdm3`           @-@popcon1@-@ @-@psize1@-@ checked   no(XDMCP)  GNOME display manager       local connection via pipe
-`kdm`            @-@popcon1@-@ @-@psize1@-@ checked   no(XDMCP)  KDE display manager         local connection via pipe
-`xdm`            @-@popcon1@-@ @-@psize1@-@ checked   no(XDMCP)  X display manager           local connection via pipe
-`wdm`            @-@popcon1@-@ @-@psize1@-@ checked   no(XDMCP)  WindowMaker display manager local connection via pipe
+`gdm3`           @-@popcon1@-@ @-@psize1@-@ checked   no (XDMCP) GNOME display manager       local connection via pipe
+`kdm`            @-@popcon1@-@ @-@psize1@-@ checked   no (XDMCP) KDE display manager         local connection via pipe
+`xdm`            @-@popcon1@-@ @-@psize1@-@ checked   no (XDMCP) X display manager           local connection via pipe
+`wdm`            @-@popcon1@-@ @-@psize1@-@ checked   no (XDMCP) WindowMaker display manager local connection via pipe
 `ldm`            @-@popcon1@-@ @-@psize1@-@ checked   yes        LTSP display manager        remote SSH network connection (thin client)
 ------------------------------------------------------------------------------------------------------------------------------------------
 
@@ -127,7 +132,7 @@
 
 The X Window System is usually started as an http://en.wikipedia.org/wiki/X_session_manager[X session] which is the combination of an X server and connecting X clients.  For the normal desktop system, both of them are executed on a workstation.
 
-The http://en.wikipedia.org/wiki/X_session_manager[X session] is started by the following.
+The http://en.wikipedia.org/wiki/X_session_manager[X session] is started by one of the following.
 
 - `startx` command started from the command line
 - One of the http://en.wikipedia.org/wiki/X_display_manager[X display manager] daemon programs `\*dm` started from the end of the start up script in "`/etc/rc?.d/`" ("`?`" corresponding to the runlevel) directory
@@ -136,7 +141,7 @@
 
 TIP: See <<_specific_locale_only_under_x_window>> for initial environment variables of the X display manager.
 
-Essentially, all these programs execute the "`/etc/X11/Xsession`" script.  Then the "`/etc/X11/Xsession`" script performs `run-parts`(8) like action to execute scripts in the "`/etc/X11/Xsession.d/`" directory. This is essentially an execution of a first program which is found in the following order with the `exec` builtin command.
+Essentially, all these programs execute the "`/etc/X11/Xsession`" script.  Then the "`/etc/X11/Xsession`" script performs `run-parts`(8) like action to execute scripts in the "`/etc/X11/Xsession.d/`" directory. This is essentially an execution of the first program which is found in the following order by the `exec` builtin command.
 
 1. The script specified as the argument of "`/etc/X11/Xsession`" by the X display manager, if it is defined.
 2. The "`\~/.xsession`" or "`\~/.Xsession`" script, if it is defined.
@@ -144,7 +149,7 @@
 4. The "`/usr/bin/x-window-manager`" command, if it is defined.
 5. The "`/usr/bin/x-terminal-emulator`" command, if it is defined.
 
-This process is affected by the content of "`/etc/X11/Xsession.options`".  The exact programs to which these "`/usr/bin/x-\*`" commands point, are determined by the Debian alternative system and changed by "`update-alternatives --config x-session-manager`", etc.
+This process is affected by the content of "`/etc/X11/Xsession.options`".  The exact programs to which these "`/usr/bin/x-\*`" commands point, are determined by the Debian alternatives system and changed by "`update-alternatives --config x-session-manager`", etc.
 
 ==== Starting X session with gdm3
 
@@ -208,7 +213,7 @@
  * The original core X11 font system provides backward compatibility for older version of X client applications.
  * The original core X11 fonts are installed on the X server.
 - Modern X client side font support system
- * Modern X system supports all fonts listed below (<<_basic_fonts>>, <<_additional_fonts>>, and <<_cjk_fonts>>) with advanced features such as anti-aliasing.
+ * The modern X system supports all fonts listed below (<<_basic_fonts>>, <<_additional_fonts>>, and <<_cjk_fonts>>) with advanced features such as anti-aliasing.
  * http://en.wikipedia.org/wiki/Xft[Xft] 2.0 connects modern X applications such as ones from http://en.wikipedia.org/wiki/GNOME[GNOME], http://en.wikipedia.org/wiki/KDE[KDE], and http://en.wikipedia.org/wiki/LibreOffice[LibreOffice] with http://freetype.sourceforge.net/index.html[FreeType] 2.0 library.
  * http://freetype.sourceforge.net/index.html[FreeType] 2.0 provides font rasterization library.
  * http://en.wikipedia.org/wiki/Fontconfig[Fontconfig] provides resolution of the font specification for http://en.wikipedia.org/wiki/Xft[Xft] 2.0.  See `fonts.conf`(5) for its configuration.
